## dcl-f90-unix_20011120.tgz

=== Makefile ===
# Makefile for dcl-f90-unix (Intel Fortan for Linux)
#
# 2001/06/18  ODAKA Masatsugu (odakker@gfd-dennou.org)
# 2001/11/19  TAKEHIRO Shin-ichi (takepiro@gfd-dennou.org)

include Mkinclude

all:
	cd src/f77; $(MAKE)
	cd src/f90; $(MAKE)
	cd bin; $(MAKE)

install:
	cd src/f77; $(MAKE) install
	cd src/f90; $(MAKE) install
	cd bin; $(MAKE) install

	cp src/f77/work.pc $(MODINSTDIR)/dclf77.pc
	cp src/f90/work.pc $(MODINSTDIR)/dclf90.pc
	echo work.pc > $(MODINSTDIR)/dcl.pcl
	echo $(MODINSTDIR)/dclf77.pc >> $(MODINSTDIR)/dcl.pcl
	echo $(MODINSTDIR)/dclf90.pc >> $(MODINSTDIR)/dcl.pcl

install.man:
	test -d $(DOCINSTDIR) || install -d $(DOCINSTDIR)
	cp -r rc1_en $(DOCINSTDIR)/man_en
	cp -r rc1_jp $(DOCINSTDIR)/man
	cp -r tutorial $(DOCINSTDIR)

clean:
	cd src/f77; $(MAKE) clean
	cd src/f90; $(MAKE) clean
	cd bin; $(MAKE) clean
	$(RM) src/f77/work.pc src/f90/work.pc \
	      src/f77/*.d src/f90/*.d

distclean: clean
	-rm -f Mkinclude SIGEN.htm config.cache config.log config.status
