=== bin/Makefile ===
# Makefile for dclf90

include ../Mkinclude

TARGET=dclf90

all: $(TARGET)

install: $(TARGET)
	test -d $(BININSTDIR) || install -d $(BININSTDIR)
	cp $(TARGET) $(BININSTDIR)

dclf90: dclf90.tmpl
	@echo "Making shell script dclf90"
	sed -e "s?@LIBNAME?$(LIBNAME)?" \
	     -e "s?@INCLUDE?$(INCLUDE)?" \
	     -e "s?@LIBINSTDIR?$(LIBINSTDIR)?" \
	     -e "s?@DCLCONFIGPATH?$(DCLCONFIGPATH)?" \
	     -e "s?@FC?$(FC)?" \
	     dclf90.tmpl > dclf90 
	@chmod +x dclf90

clean:
	-rm -f *~ $(TARGET)
