=== src/f77/Makefile ===
# Makefile for dcl-f90-linux/f77
#
# 2001/06/14  ODAKA, Masatsugu


include ../../Mkinclude

.SUFFIXES: .o .f90

OBJS= \
    bit_interface.o \
    blk_interface.o \
    chg_interface.o \
    chk_interface.o \
    chn_interface.o \
    chr_interface.o \
    clc_interface.o \
    ctr_interface.o \
    dat_interface.o \
    fft_interface.o \
    fio_interface.o \
    fmt_interface.o \
    fnc_interface.o \
    gnm_interface.o \
    gr_interface.o \
    hex_interface.o \
    ifa_interface.o \
    ind_interface.o \
    int_interface.o \
    intr_interface.o \
    lrl_interface.o \
    map_interface.o \
    mis_interface.o \
    ode_interface.o \
    os_interface.o \
    ran_interface.o \
    rea_interface.o \
    rfa_interface.o \
    rfb_interface.o \
    rnm_interface.o \
    sc_interface.o \
    sg_interface.o \
    sht_interface.o \
    sl_interface.o \
    st_interface.o \
    sub_interface.o \
    sw_interface.o \
    sys_interface.o \
    sz_interface.o \
    tim_interface.o \
    uc_interface.o \
    ud_interface.o \
    ue_interface.o \
    ug_interface.o \
    uh_interface.o \
    ul_interface.o \
    um_interface.o \
    us_interface.o \
    uu_interface.o \
    uv_interface.o \
    uw_interface.o \
    ux_interface.o \
    uy_interface.o \
    uz_interface.o \
    via_interface.o \
    vib_interface.o \
    vra_interface.o \
    vrb_interface.o \
    vst_interface.o \
    xfc_interface.o \
    dcl_f77.o

all: $(OBJS)

.f90.o:
	$(FC) -c $(FFLAGS) $<

install: all
	test -d $(LIBINSTDIR) || install -d $(LIBINSTDIR)
	ar qv $(LIBFILE) *.o
	test -d $(MODINSTDIR) || install -d $(MODINSTDIR)
	install -m 644 *$(MODEXT) $(MODINSTDIR)

clean:
	# caution: MODEXT may be .f90 and should not be used here
	-rm -f *.o *.mod
