=== src/f90/Makefile ===
# Makefile for dcl-f90-linux/f90
#
# 2001/06/14  ODAKA, Masatsugu

include ../../Mkinclude

.SUFFIXES: .o .f90

OBJS= \
    dcl_common.o \
    dcl_parm.o \
    blklib.o \
    chglib.o \
    chklib.o \
    ctrlib.o \
    datelib.o \
    fftlib.o \
    gnmlib.o \
    grpack.o \
    indxlib.o \
    intlib.o \
    intrlib.o \
    lrllib.o \
    maplib.o \
    oslib.o \
    rfalib.o \
    rnmlib.o \
    scpack.o \
    sgpack.o \
    shtrlib.o \
    slpack.o \
    syslib.o \
    timelib.o \
    udpack.o \
    uepack.o \
    ugpack.o \
    uhpack.o \
    umpack.o \
    uspack.o \
    uupack.o \
    uvpack.o \
    uwpack.o \
    uzpack.o \
    dcl.o

all: $(OBJS)

.f90.o:
	$(FC) -c $(FFLAGS) $<

install: all
	test -d $(LIBINSTDIR) || install -d $(LIBINSTDIR)
	ar qv $(LIBFILE) *.o
	test -d $(MODINSTDIR) || install -d $(MODINSTDIR)
	install -m 644 *$(MODEXT) $(MODINSTDIR)

clean:
	# caution: MODEXT may be .f90 and should not be used here
	-rm -f *.o *.mod
