=== debian/changelog ===
dcl-f90 (5.2-5) unstable; urgency=low

  * Documenets are separated as a differnet package.

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Tue, 20 Nov 2001 12:37:29 +0900

dcl-f90 (5.2-4) unstable; urgency=low

  * Library built with Intel Fortran available.

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Tue, 20 Nov 2001 11:12:06 +0900

dcl-f90 (5.2-3) unstable; urgency=low

  * merge with CVS source version. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 13:17:01 +0900

dcl-f90 (5.2-2) unstable; urgency=low

  * Shell script dclf90 added. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 12:33:19 +0900

dcl-f90 (5.2-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 12:33:02 +0900

Local variables:
mode: debian-changelog
End:
