=== debian/control ===
Source: dcl-f90
Section: unknown
Priority: optional
Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 3.1.1

Package: dcl-f90-ifc
Architecture: any
Depends: dcl-ifc (>=5.2)
Description: GFD Dennou Club Library Fortran90 Interfaces. 
 This package is built with Intel Fortran compiler. 
 Pleaese visit http://www.gfd-dennou.org/ (in Japanese). 

Package: dcl-f90-doc
Architecture: any
Description: Manual of GFD Dennou Club Library Fortran90 Interfaces. 
 Pleaese visit http://www.gfd-dennou.org/ (in Japanese).
